# Ukui Control Center
## Overview
Settings provides a user-friendly graphical user interface for managing common configuration items on the operating system. The main interface is shown in the picture. Users can set up search under the search column on the home page, and pinyin and Chinese character search are supported in the Chinese environment

![Fig 1 Ukui Control Center-big](image/1.png)
<br>

## System
### Display
![Fig 2 Display-big](image/2.png)

- Monitor：Select current monitor.
- Resolution, orientation, refresh rate, screen zoom are all for the current active monitor.
- The screen zoom is global, and the zoom items that can be set are related to the current resolution of the screen, as follows:
- Network display: Two devices deployed in the same LAN environment, one can use the screen of the other party as the extended screen of the controller, the controller can select the controlled device, the accused party can use its screen after agreeing, and both parties can actively disconnect the screen (hide this option if the scene is not supported)

| Resolution width | Maximum scale |
| :--------------: | :-----------: |
|    （0,1080]     |     100%      |
|   (1080,1920)    |     125%      |
|       1920       |     150%      |
|   (1920,2560]    |     200%      |
|   (2560,3072]    |     225%      |
|   (3072,3840)    |     250%      |
|      3840+       |     275%      |

- Color temperature and eye care have eye care mode adjustment and color temperature adjustment. Color temperature has a custom time period and can be adjusted for color temperature

In multi-display mode, it provides [Ask for screen casting settings when connected to a monitor] and [Easily move the cursor between displays]

![图 5 multi-screen-big](image/mult-screen-en.png)



If the hardware supports it (or if it doesn't), you can dynamically adjust the screen brightness to follow the ambient brightness![图 5 multi-screen-big](image/autobri.png)



### Audio

![Fig 3 Audio-big](image/3.png)

- Output Device: The output device is generated by obtaining the output configuration file selected by the sound card. You can click the drop-down box to view the available output devices in the current system and switch the corresponding output device as required.
- Master Volume: Adjust the current output volume. Move the slider to control the system output volume.
- Balance: Adjust the output volume of the left and right channels.
- Volume Increase: Enable volume enhancement and change the adjustable range of volume from 0-100% to 0-125%.
- Inpur Device: The input device is generated by obtaining the input configuration file selected by the sound card. You can click the drop-down box to view the input device available in the current system and switch the corresponding input device as required (Input device is mainly used for recording, video and calling).
- Volume: Adjust the current input volume. Move the slider to control the system input volume.
- Input Level: Detects the input level of the current input device (Detects the input level when an available input device is detected).
- Startup,Poweroff,Logout,Wakeup music: Controls whether to play music when the system is startup,poweroff,logout, or wake up.
- Beep Switch: Indicates that the system receives a notification or changes the volume.
- Sound Theme: The sound theme of the system.

### Power
General function settings, power plans, and battery saving plan settings are possible (in the presence of batteries in the machine)

![Fig 4 Power-big](image/4.png)
- In general settings, you can set the system wake-up function and set the time when the system enters sleep and other operations.Additionally, you can turn on/off the dynamic resource scheduling function which can further enhance the system's smoothness.The host light strip function relies on hardware support, and the interface will not display if it is not supported. It depends on the light strip tool.

- In the power plan, select different modes corresponding to different system performance consumption

- In the battery energy saving plan, select the corresponding options to achieve the battery energy saving effect

  Note: The dynamic scheduling of resources feature is not supported on 9006C machines

### Notice
In Notice module, you can choose whether to receive notifications from the corresponding application by turning the switch on/off.

![Fig 5 Notice-big](image/5.png)

### Vino
Control whether your desktop can be accessed remotely by turning the local VNC service on and off

![Fig 6 Vino](image/6.png)

- "Connect to your desktop remotely" is turned off by default
- "Allow others to connect to your desktop remotely using RDP" is off by default, and xrdp needs to be installed to connect through xrdp (not displayed when not installed)
- "Allow  others to connect to your desktop remotely using VNC" is disabled by default, and can only be accessed, not controlled
- "Allow connection to control screen" is on by default and can be manipulated
- "You must confirm every visit for this machine"is on by default, and each access request needs to be answered
- "Require user to enter this password when using VNC" is disabled by default, and the password is not displayed in plaintext by default

The UI under Wayland

![Fig 6-1 Vino-Wayland](image/vino-wayland.png)

### About
The About module provides system version, device specifications, user information, authorization activation information and privacy agreement related information of the local system.

**Note: If it is an education version, the version name is 【Kylin Linux Desktop EDU V10】**

![Fig 7 About-big](image/7.png)

<br>

### TouchCalibrate

In the "TouchCalibrate" setting, your touch device, display and touch logo are displayed. You can select the display and touch logo and click Touch Calibration to calibrate the touch screen.

![Fig 8-1 touchscreen calibration-big](image/calibration1_en.png)

Wayland currently only supports touch mapping  and does not currently support touch calibration.

![Fig 8-2 touchscreen calibration-big](image/calibration1_wayland_en.png)

![Fig 8-3 calibrating touchscreen-big](image/calibration2_en.png)

<br>

## Devices
### Bluetooth
The Bluetooth module provides the visibility of switching on and off Bluetooth, modifying Bluetooth name, displaying and hiding Bluetooth task icons, and automatically discovering surrounding Bluetooth devices and local devices; The basic functions of pairing, connecting, disconnecting, removing Bluetooth devices , file transfer with the discovered Bluetooth devices , Automatically discover Bluetooth audio devices and The connected device has been renamed. Procedure are shown in the figure.

-Switch on and off Bluetooth: click the Bluetooth on button to turn on and off the Bluetooth adapter of this machine

-Modify Bluetooth name: click the mouse on the "Modify icon" or "Bluetooth name", and enter the desired name in the pop-up input box

-Show and hide the Bluetooth taskbar icon: click the button to show or not show the Bluetooth icon on the taskbar

-Bluetooth device classification: select the Bluetooth device type and type options (all, audio device, keyboard and mouse device, computer, mobile phone, other) displayed by selecting the drop-down box

-Basic operation of discovered Bluetooth device: single click  the discovered Bluetooth device to perform connection . The option to disconnection,remove and send files needs to be opened through the Bluetooth device settings option (note: some Bluetooth devices/models have no option to send files)

-Automatic discovery of Bluetooth audio devices: When the function switch of automatic discovery of Bluetooth audio devices is turned on, the Bluetooth service will start to detect the audio devices in the surrounding 3m, and if the detection meets the conditions, the user will be prompted whether to connect; If the function switch is off, it will not be processed

-Connected device renaming: Provides the local renaming function for connected devices

![Fig 9 Bluetooth-big](image/bluetooth.png)

### Printer
The printer function provides an entry point for the printer program. 

![Fig 10 Printer-big](image/9.png)

### Mouse
In order to meet your personalized needs for mouse usage habits, you can personalize the mouse, pointer, and cursor in the "Mouse" configuration.

1) Mouse Button Settings:

- Main mouse button settings (left/right)
- Scroll direction setting (forward/reverse)
- Mouse wheel speed
- The length of the interval between double-clicks

2) Pointer Setting:

- Pointer move speed settings
- Enable mouse acceleration to improve pointer precision
- Position the pointer position
- Pointer size settings (small, medium, large)

3) Cursor Setting:

- Enables cursor flashing in the text area
- Cursor speed settings

![Fig 11 Mouse-big](image/mouse.png)

### Touchpad
![Fig 12 Touchpad-big](image/touchpad.png)

### TouchScreen

The system supports multi-tasking, multi-scene desktop touch interaction, if your device supports touch function, you can use a variety of touch gestures for desktop operation.

The touch screen, also known as the "touch screen" and "touch panel", uses standard gestures to touch the symbols or text on the computer display to achieve interaction with the desktop.

![Fig 13 TouchScreen-big](image/touchscreen-gesture.png)

The basic touchscreen gesture interactions are as follows:

- Click: Touch your finger to trigger functions such as selecting objects, opening menu bars, executing button commands, and more
- Double tap: Finger quickly tap twice to touch the device to trigger functions such as: open desktop app, open folder/file, select text, etc
- Long press: Long press and hold your finger on an element to trigger functions, such as: display pop-up menu bar, right-click menu bar, multi-select, select text, etc
- Swipe: Swipe to continuously scroll through lists and pages, switch pages/objects, swipe to adjust slider values
- Drag: Move object position, or drag for batch operations, such as: move windows/files, check icons/text, etc
- Pinch : Press and hold the screen with two fingers to expand outward to zoom in on content, and pinch inward to zoom out content, e.g. web pages, images

Note: If your device does not have this feature and does not have an external touchscreen, the settings for the touchscreen will not be displayed in the Control Panel.

### Keyboard
You can configure keyboard responsiveness, keyboard layout, and adding input methods in the Keyboard configuration.

![Fig 14 Keyboard-big](image/keyboard.png)

1) General Settings:

- Configurable to enable key repeating: Pressing a key will treat that behavior as a duplicate keyboard input. When key repeating is enabled, you can set the delay and speed options.
- Programmable delay: the interval between when a key is pressed and when the system starts receiving keyboard input
- Configurable speed: the interval between repeated inputs after pressing the key; The longer the interval, the fewer times the entry will be repeated in the same amount of time
- You can set to enable keytips: case toggle prompts.

2) Input method settings:

- Input method language, country settings
- Global configuration


### Shortcut
The Shortcut provides viewing system application shortcut keys, window management shortcut keys, addding custom shortcut keys and other related configurations in this configuration, and provide default recovery function for system application and window management shortcut keys.

The shortcut keys are adjusted according to the system version.

![Fig 15 System-Shortcut](image/10.png)

![Fig 16 Window-Shortcut](image/11.png)

![Fig 17 AddShortcut](image/12.png)

### Projection

Projection is a software that is allowed to be projected by mobile phones and other Kylin-OS and can be projected to other Kylin OS in Kylin OS desktop environment. It is divided into two parts: receiving terminal and sending terminal. The main interface is shown in Figure.

 ![Fig 18-1 Projection main interface-big](image/mainInterface.png)

 The function buttons at the receiving terminal are in the upper part of the main interface, from top to bottom:

1) Receiving terminal on / off button: after the button is turned on, the current Kylin-OS device can be searched by mobile phone device or other Kylin-OS devices.

2) PIN code function on / off button: after the button is turned on, the PIN code needs to be entered during connection.

 ![Fig 18-2 Enter PIN code interface-big](image/PINCodeinterface.png)

 ![Fig 18-3 Without PIN code interface-big](image/withoutPINCodeinterface.png)

3) Historical device show / hide button: when the button arrow points down, you can see the relevant devices connected to the current Kylin-OS device.

 ![Fig 18-4 Historical device interface-big](image/deviceInterface.png)

The function buttons at the sending terminal are in the lower part of the main interface, including: 

Receiving terminal on / off button: this button is mutually exclusive with the sending terminal on / off button. When the receiving terminal on / off button is turned on, the receiving terminal on / off button needs to be turned off before the sending terminal on / off button can be turned on (the same is true for the receiving terminal turn on / off button). After opening this button, click Find device to pop up the search window, in which the searchable Kylin-OS device at the receiving terminal will be displayed.

 Connection process between mobile phone and Kylin-OS:

1) Open the receiving terminal on / off button (close the sending terminal on / off button first).

2) The mobile phone drop-down menu opens the projection (or mobile phone projection / multi screen collaboration).

 ![Fig 18-5 Phone open projection interface-big](image/phoneOpenProjectionInterface.png)

3) Select the Kylin-OS device to be projected in the mobile search device list.

 ![Fig 18-6 Phone search device interface-big](image/phoneSearchInterface.png)

4) Connect (there are two types: PIN code required and PIN code not required).

![Fig 18-7 Phone enter pin code interface-big](image/phonePINcodeInterface.png)

5) Select the mobile phone model (currently divided into Huawei, Xiaomi and others).

 ![Fig 18-8 Select phone model interface-big](image/chooseTypeInterface.png)

6) Projection interface: the mobile phone screen is displayed in the center of the interface. There are 5 buttons on the right side of the interface, from top to bottom: soft / hard decoding switching button; Full screen / window switching button; Return to parent directory button; Return to the main interface button; Display the application process button;

 ![Fig 18-9 Receiving terminal projection interface-big](image/receiverConnectInterface.png)

Kylin-OS and Kylin-OS connection process:

1) Open the on / off button at the sending terminal (close the on / off button at the receiving terminal in advance).

2) Click the search device on the left side of the switch button;

 ![Fig 18-10 Find device interface-big](image/searchDeviceInterface.png)

3) In the pop-up search window, select the Kylin-OS device to project to.

 ![Fig 18-11 Choose device interface-big](image/chooseDevice.png)

4) Projection interface.

 ![Fig 18-12 Sending terminal projection interface-big](image/senderConnectInterface.png)

**FAQ**

1.If the projection is unsuccessful, you can try to connect again, and the device connected once will be automatically recorded in the history device.

2.Kylin OS and some phones support the control return function (that is, the receiving terminal can indirectly affect the sending terminal by operating the mouse or keyboard).

3.At present only some Huawei phones and Xiaomi phones support Android three button function (the last three buttons on the interface on the right side of the screen). For other models, clicking these buttons may cause unknown problems.

4.The system will use soft decoding by default. At this time, you can manually switch to hard decoding (use hardware to decode video, reduce CPU occupation, and need hardware support).

5.The name of the receiving device can be changed in the screen projection interface. Click the "pen" icon on the right side of the projection screen to enter the modification interface.

![Fig 18-13 Sending terminal name modification interface-big](image/nameChangeInterface.png)

6.When the wireless network card is not inserted, or the wireless network card does not support the connection required for projection, it is necessary to insert the network card or replace the inserted network card.

![Fig 18-14 Projection function unavailable interface-big](image/unUseInterface.png)

7.When the package with wireless projection is not installed or the package version is too low, the projection function will not be displayed in the control panel.

8.When used as the sending terminal, it does not support projecting to the receiving terminal of SP1 version.

<br>

## Network
### WiredConnect
It provides the display, connection or disconnection of wired network, and can switch and manage a single wired network card separately.

![Fig 19 WiredConnect-big](image/37.png)

### WlanConnect
Provide display, connection or disconnection of wireless network, and switch management of wireless functions.

![Fig 20 WlanConnect-big](image/38.png)

### Proxy
System Proxy, application Proxy and APT Proxy can be set.

![Fig 21 Proxy-big](image/14.png)

- System Proxy You can choose automatic proxy or manual proxy. Manual proxy includes HTTP, HTTPS, SOCKS, and FTP proxy.
- Application Proxy You can select the application and use the specified proxy to access the network.
- Enable APT Proxy to download and update applications in the software Store through the set proxy server.

### Vpn
![Fig 22 Vpn-big](image/15.png)

### MobileHotspot
![Fig 20 MobileHotspot-big](image/39.png)

<br>

## Personalized
### Background
The Background module provides two options for desktop background: color and image, also provide six display options: scaled, wallpaper, centered, stretched, zoom,spanned.

![Fig 23 Background-big](image/16.png)

When selecting a color as the background form, provide 20 common colors for selection, and notify users to support custom color settings.

![Fig 24 Background-color](image/wallpaper-color.png)

![Fig 25 Background-color](image/wallpaper-color1.png)

### Theme

The Theme include theme mode, window appearance, icon theme, cursor theme, window effects, and related settings.

- Theme Mode:

![Fig 26-1 Theme Mode](image/theme.png)

- Window Theme:

![Fig 26-2 Window Theme](image/appearance.png)

- Icon theme and cursor theme:

![Fig 26-3 Icon&cursor Theme](image/theme-cursor.png)

- Effect settings (some machines do not support this function):

![Fig 26-4 Effect Settings](image/theme-effect.png)

- Other:

![Fig 26-5 Others](image/related-settings.png)

### Screenlock

In Screenlock module, you can select the background image to display on the login interface, Supports the selection of local and online images, as well as restoring default images.

![Fig 27 Screenlock-big](image/20.png)

![Fig 27 Screenlock-local](image/screenlock-1.png)

### Screensaver

In Screensaver module, you can set screen saver program, wait time, show rest time, lock screen when screensaver boot. The screen saver provides two options: UKUI and Customize.

![Fig 28 Screensaver-big](image/21.png)

Customized screensavers can be set with screensaver source, random switching, switching time, screensaver text and text position.

![Fig 28 Screensaver-self](image/screensaver-self.png)

### Fonts

General settings for font, size, and monospace.

Click the "Restore Defaults" button to restore all font settings to the system defaults.

![Fig 29 Fonts-big](image/22.png)

### Panel
Make general settings for merging taskbar icons, taskbar position, taskbar size, locking taskbar, hiding taskbar, showing multitasking views.

![Fig 30 Panel-big](image/panel.png)

<br>

## Account
Account Settings provides three modules: User Info, Login Options, and Cloud Account.

### User Info

Manage and configure system users, allowing administrators to create users, delete users, and modify user information.

![Fig 30-1 Account-big](image/23.png)
#### Change the user's logo
- Click on the user's logo to modify it, and the picture can be selected from the local picture.

![Fig 30-2 Change face](image/24.png)

#### Change Password
- Click "Password" to modify the current user's password.

![Fig 30-3 Change password](image/25.png)

#### Frogot password
- After the "Change Password" authentication fails, if a security question has been set, you can click "Forgot Password" to reset the password by verifying the security question

![Fig 30-3-1 Forgot password](image/forgot-password.png)

![Fig 30-3-2 Reset password](image/reset-password.png)

#### Change Account Type
There are two types of system users: standard users and administrator users.
- administrator: can elevated permission temporarily;
- standard user: can't elevated permission.

Tip: At least one administrator user must exist in the system.

![Fig 30-4 Change usertype](image/26.png)

#### Edit Groups

Editing user groups allows for adding, deleting, modifying, and querying user groups.

![Fig 30-5 Edit usergroup](image/account-usergroup.png)

#### Other Users
Administrator can modify other user's information, add new user, etc..

- Add new user:Enter the username, nickname, password, and select the user type,check Set password security questions to set the account security questions, and reset the password by answering the security questions when you forget the password. as shown in the image
- Password complexity requirements(Password strength can be customized through security neutrality):

1.The user password cannot contain illegal characters ("'" and non-standard characters);

2.The minimum password length is 8;

3.The password shall contain at least two types of characters;

4.The password must not contain the user name;

5.It is forbidden to use palindrome in password;

6.Enable password similarity check (detect when modifying password);

7.Enable password dictionary;

8.The validity period of the password is unlimited;

- Create new user

![Fig 30-6-1 Add new user](image/account-add.png)

![Fig 30-6-2 Set Question](image/set-question.png)

- Edit user

![Fig 30-7 Add new user](image/27.png)

### Login Options

Login options can be configured

- Disable biometrics: Disable biometrics when logging in.

![Fig 31-1 Disable biometrics-big](image/login-options-close.png)

- Turn on biometrics: you can use biometrics when logging in, and you can enter, rename, and delete biometrics.

![Fig 31-2 Turn on biometrics-big](image/login-options-open.png)

- Enroll new feature

![Fig 31-3 Enroll new feature-big](image/login-options-scroll.png)

- Rename feature name

![Fig 31-4 Rename feature name-big](image/login-options-rename.png)

- Set up security questions
Setting up security questions can help you reset your password if you forget it

![Fig 31-5 Set up security questions-big](image/login-options-security-issue.png)

Security Use Cases:
If you forgot your password on the login lock screen, you can reset your password by answering a question

![Fig 31-6 Lock screen to answer security questions-big](image/screensaver-security-issue.png)

![Fig 31-7 Reset your password on the lock screen-big](image/screensaver-reset-password.png)

If you forget your password during privilege escalation, you can reset your password by answering a question

![Fig 31-8 During privilege escalation to answer security questions-big](image/auth-security-issue.png)

![Fig 31-9 Reset your password on the during privilege escalation-big](image/auth-reset-password.png)

### Cloud Account
Synchronize personalized settings and data, and this function needs to sign in.

![Fig 32 Cloud account-big](image/28.png)

#### Sign In
Login through Kylin ID login Center.

#### Synchronizable Items
- Desktop wallpaper
- Screensaver: wallpaper and idle time
- Fonts
- User's face
- The settings in control center, such as start menu, taskbar, theme, etc.
- The settings of pluma, kylin weather, peony, terminal, kylin video.

#### Tips
1) When opening the cloud account first time, it will synchronize once by default. If the cloud exists configuration files, it will download them and sync to local; Otherwise, the local configuration files will be uploaded to the cloud.

2) After login, if the automatic synchronization is opened, the cloud will synchronize the local configurations every 5 minutes. And they can be used by different machines, different users.

3) If the automatic synchronization is closed, all the cloud configurations will keep the last upload status.

4) The automatic synchronization for the single item is the similar effects.

<br>

### Date
- Automatic Time Sync: Time synchronization with NTP servers on the Internet.
- Manually set time: Manually set the time and year, month, and day.

![Fig 33 Datetime-big](image/29.png)

![Fig 33 Datetime-big](image/changetime.png)

- Change the time zone and choose according to your personal needs.

![Fig 33 Datetime-big](image/map.png)

- You can click the Add button to add a different time zone

  ![Fig 33 Datetime-big](image/addtimezone.png)

### Area

- Language Format: Custom Calendar, First Day of the Week, Date Short Form, Date Long Form, Time.
- System language: the display language of system windows, menus and web pages, the preferred recommended language is Chinese Simplified.
- Click "Add" to add additional regional languages as alternatives.

![Fig 34 Area-big](image/30.png)

<br>

## Update Operation

In update configuration, you can configure backup and update.

### Backup
- Click start backup to automatically open our Kirin backup and restore tool for system content backup.

![Fig 35 Backup-big](image/31.png)

### Upgrade
- Click Detect update to automatically open our Kirin update manager to obtain the updated content.
- More update settings of update notification, autoupdate,update download speed control in "update settings".
- Check update details in "update history".
- More settings in advanced options.
- Check the error code if you meet update failue.

![Fig 36 Upgrade-big](image/32.png)

<br>

## Security
### Security Center
![Fig 37 SecurityCenter-big](image/33.png)

<br>

## Application
### AutoStart
The Auto Start module display the startup software that currently exists in the system.

![Fig 38 Autoboot-big](image/34.png)

Click "Add" to add the startup application.

### Default

The Default App can modify several types of default open applications in the figure.

![Fig 39 Defaultapp-big](image/35.png)

Click "Reset" to reset the default application to the system recommended application.

## Investigation

### Search
![Fig 40 Search-big](image/search.png)

## Commoninfo

### Boot

You can enable or disable Grub authentication, and the Grub Verify password setting.

Set a Grub Verification password when you turn it on, and reset it when you turn it on.

![Fig 41 grub-big](image/grub.png)

### Accessibility

Zoom : Zoom the content of screen.

Color Filter : Make the colors on the screen easier to view and distinguish
![Fig 42 Accessibility-big](image/accessibility.png)